# Ruia

**Ruia**是一个基于`asyncio`和`aiohttp`的异步爬虫框架，它的目标是让你更加方便且迅速地编写出属于自己的爬虫

很高兴你能使用**Ruia**来实现爬虫程序，不过在编码之前，希望你能通读此文档，因为它包含了**Ruia**的使用方法以及一些基础概念介绍

### First steps

- [Introduction](./introduction.md)：介绍Ruia
- [Tutorials](./tutorials.md)：使用Ruia快速编写一个稳健的爬虫
- [Plugins](./plugins.md)：编写Ruia扩展

## Topics

- [Item](./topics/item.md)：定义爬虫的目标字段
- [Selector](./topics/selector.md)：从HTML中提取出目标字段
- [Request](./topics/request.md)：请求并抓取目标网站资源
- [Response](./topics/response.md)：进一步封装响应内容
- [Middleware](./topics/middleware.md)：使爬虫支持第三方扩展
- [Spider](./topics/spider.md)：爬虫程序的入口

## Getting help

如果在使用过程中遇到了困难，随时欢迎提[Issue](https://github.com/howie6879/Ruia/issues)

也随时欢迎您联系我一起进群交流，备注(Ruia)：

<div align=center><img width="400" height="400" src="https://raw.githubusercontent.com/howie6879/howie6879.github.io/img/pictures/20190529083905.png" /></div>